<?php
Yii::import('zii.widgets.jui.CJuiWidget');
class JQuiFormEnhancer extends CJuiWidget
{
	var $formId;
	var $textWidth;
	var $columnWidth;
	var $buttonWidth;
	
	function run(){}
	
	public function init()
	{
		parent::init();
		$this->registerScripts();
	}
	
	protected function registerScripts() {
		parent::registerCoreScripts();
		$basePath=Yii::getPathOfAlias('application.extensions.JQuiFormEnhancer.vendors');
		$baseUrl = Yii::app()->getAssetManager()->publish($basePath);
		
		$cs=Yii::app()->getClientScript();
		
		$cs->registerCssFile($baseUrl . '/' . 'ui.selectmenu.css');
		$cs->registerCssFile($baseUrl . '/' . 'patch.css');
		
		$this->scriptUrl=$baseUrl;
		$this->registerScriptFile('ui.formenhancer.js');
		$this->registerScriptFile('ui.selectmenu.js');
		
		$params = array();
		if(isset($this->textWidth))
			$params[] = "textWidth:'".$this->textWidth."'";
		if(isset($this->columnWidth))
			$params[] = "columnWidth:'".$this->columnWidth."'";
		if(isset($this->buttonWidth))
			$params[] = "buttonWidth:'".$this->buttonWidth."'";
		$parameters = '{' .implode(',', $params). '}';
		Yii::app()->clientScript->registerScript('formEnhancer'.$this->formId, '$("#'.$this->formId.'").form('. $parameters .');', CClientScript::POS_READY);
	}
}